Bug 1418628 - [abrt] gnome-shell: _ip_get_path_for_wd(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: _ip_get_path_for_wd(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:962c65ec38e041634789bf8c64b...
: 1474696 1483589 1488148 1494857 1499511 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 11:28 UTC by Bill Gianopoulos
Modified: 2018-05-29 11:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.84 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: cgroup (148 bytes, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: core_backtrace (5.03 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: dso_list (26.28 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: environ (907 bytes, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: maps (114.92 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: mountinfo (3.50 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: open_fds (7.04 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details
File: var_log_messages (662 bytes, text/plain)
2017-02-02 11:28 UTC, Bill Gianopoulos
no flags Details

Description Bill Gianopoulos 2017-02-02 11:28:38 UTC
Version-Release number of selected component:
gnome-shell-3.23.2-3.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _ip_get_path_for_wd
executable:     /usr/bin/gnome-shell
global_pid:     1607
kernel:         4.10.0-0.rc6.git0.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1315318

Comment 1 Bill Gianopoulos 2017-02-02 11:28:43 UTC
Created attachment 1247052 [details]
File: backtrace

Comment 2 Bill Gianopoulos 2017-02-02 11:28:44 UTC
Created attachment 1247053 [details]
File: cgroup

Comment 3 Bill Gianopoulos 2017-02-02 11:28:45 UTC
Created attachment 1247054 [details]
File: core_backtrace

Comment 4 Bill Gianopoulos 2017-02-02 11:28:46 UTC
Created attachment 1247055 [details]
File: dso_list

Comment 5 Bill Gianopoulos 2017-02-02 11:28:48 UTC
Created attachment 1247056 [details]
File: environ

Comment 6 Bill Gianopoulos 2017-02-02 11:28:49 UTC
Created attachment 1247057 [details]
File: limits

Comment 7 Bill Gianopoulos 2017-02-02 11:28:50 UTC
Created attachment 1247058 [details]
File: maps

Comment 8 Bill Gianopoulos 2017-02-02 11:28:51 UTC
Created attachment 1247059 [details]
File: mountinfo

Comment 9 Bill Gianopoulos 2017-02-02 11:28:52 UTC
Created attachment 1247060 [details]
File: namespaces

Comment 10 Bill Gianopoulos 2017-02-02 11:28:54 UTC
Created attachment 1247061 [details]
File: open_fds

Comment 11 Bill Gianopoulos 2017-02-02 11:28:55 UTC
Created attachment 1247062 [details]
File: proc_pid_status

Comment 12 Bill Gianopoulos 2017-02-02 11:28:56 UTC
Created attachment 1247063 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-02-28 11:09:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Adam Williamson 2017-06-21 23:12:20 UTC
staging openQA just ran into something that looks a lot like this on one of the upgrade tests for today's F26 compose:

https://openqa.stg.fedoraproject.org/tests/125932

logs and the abrt problem dir can be downloaded from the Logs & Assets tab, the core_backtrace looks a lot like Bill's, running through raise / abort / g_assertion_message / g_assertion_message_expr / _ip_get_path_for_wd / ih_event_callback .

This isn't reliably reproducible, I don't think (it hasn't happened in previous runs of the same test, or in other runs of similar tests today).

Comment 15 Muhamad Fajar 2017-07-25 07:41:23 UTC
*** Bug 1474696 has been marked as a duplicate of this bug. ***

Comment 16 Constantin 2017-08-21 12:55:58 UTC
*** Bug 1483589 has been marked as a duplicate of this bug. ***

Comment 17 Mike 2017-09-04 12:53:16 UTC
*** Bug 1488148 has been marked as a duplicate of this bug. ***

Comment 18 Chris Willis 2017-09-23 17:44:08 UTC
*** Bug 1494857 has been marked as a duplicate of this bug. ***

Comment 19 Mark 2017-10-08 08:04:15 UTC
*** Bug 1499511 has been marked as a duplicate of this bug. ***

Comment 20 Fedora End Of Life 2018-05-03 08:05:29 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2018-05-29 11:19:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.